Subject: bug#20677: tooltips generate garbage

From: Angelo Graziosi <[email-masked]>
Date: Wed, 27 May 2015 23:40:33 +0200

After tooltips show up, they do not disappear moving the mouse but leave 
garbage in the Emacs frame.

I see this (on GNU/Linux, GTK build) in recent Emacs master.

This DID NOT happen with the builds I did a few week ago (May 13).

Usually "emacs -Q" is enough to see this issue. It seems a redrawing 
problem because when I click on the upper-right '-' button which reduce 
Emacs to an icon in status bar and then re-enlarging, the garbage 
disappears (but re-appears if the mouse pointer is over an element which 
needs a tooltip).

Ciao,
  Angelo.